gnutls_pkcs12_get_bag(3)

NAME
gnutls_pkcs12_get_bag - API function

SYNOPSIS
#include <gnutls/pkcs12.h>

int gnutls_pkcs12_get_bag(gnutls_pkcs12_t pkcs12, int indx, gnutls_pkcs12_bag_t bag);

ARGUMENTS

gnutls_pkcs12_t pkcs12
    should contain a gnutls_pkcs12_t structure

int indx
    contains the index of the bag to extract

gnutls_pkcs12_bag_t bag
    An initialized bag, where the contents of the bag will be copied

DESCRIPTION
This function will return a Bag from the PKCS12 structure. After the last Bag has been read GNUTLS_E_REQUESTED_DATA_NOT_AVAILABLE will be returned.

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise a negative error value.

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2014 Free Software Foundation, Inc.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/